Hermos API

Create Webhook Endpoint

POST/webhook_endpoints

Authorization

__Host-hms_session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/webhook_endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "enabled_events": [      "string"    ]  }'
{  "id": "string",  "object": "webhook_endpoint",  "url": "string",  "enabled_events": [    "string"  ],  "status": "enabled",  "health": "healthy",  "failing_since": "2019-08-24T14:15:22Z",  "api_version": "string",  "include_historical": true,  "created_at": "2019-08-24T14:15:22Z",  "secret_rotation": {    "previous_expires_at": "2019-08-24T14:15:22Z"  },  "secret": "string"}